Angala v1.0
===========

Angala (Sumerian for 'bag') v1.0 is a simple terminal emulator for
Thingamajig v1.1 computer architecture. Its git repository can be found
at https://ahti.space/git/crazyettin/Angala and that of Thingamajig at
https://ahti.space/git/crazyettin/Thingamajig.

System Requirements
-------------------

Angala requires less than 1 KiB of RAM. It uses an ASCII-compatible
terminal with local echo at address FFFF, and a modem interface at
addresses FFF9 and FFFA and an input status register at FFF8 compatible
with those supplied with the Thingamajig emulator. Do not be afraid to
modify the code yourself if your setup requires it! (And if you do,
apologies for the spaghetti.)

Usage
-----

Once run Angala will recieve and print characters sent to it until the
user starts typing a line to be sent. Once the line is sent it will go
back to its default mode. If the server it is connected to hangs Angala
will halt the computer.

A delete (^?) discards the preceding character on the current line and
outputs an underscore to the terminal. An escape (^[) discards the
contents of the current line and outputs a backslash and a newline to
the terminal. A carriage return (^M) or a line feed (^J) inputs a
newline consisting of the former followed by the latter and sends the
current line. An end-of-file (^Z) halts the computer or discards the
current line and returns to the default mode. At the end of the input
buffer any input other than those described in this paragraph is ignored
and an underscore is output to the terminal.
